%global dlrn 1
%define upstream_version 5.2.0
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%define upstream_name tripleo-heat-templates
%define old_version_name newton

Name:          openstack-%{upstream_name}-compat
Summary:       Heat templates for TripleO old version support
Version:       5.2.0
Release:       7%{?dist}
License:       ASL 2.0
Group:         System Environment/Base
URL:           https://wiki.openstack.org/wiki/TripleO
Source0:       https://tarballs.openstack.org/tripleo-heat-templates/tripleo-heat-templates-%{upstream_version}.tar.gz

#
# patches_base=+1
#
Patch0001: 0001-OSP-Only-Add-the-puppet-pacemaker-templates-to-the-d.patch
Patch0002: 0002-downstream-only-UpgradeInitCommand-for-OSP.patch
Patch0003: 0003-downstream-only-UpgradeInitCommand-update-to-switch-.patch
Patch0004: 0004-downstream-only-Retain-existing-ComputeHostnameForma.patch
Patch0005: 0005-downstream-only-configure-Horizon-to-point-on-OSP-do.patch
Patch0006: 0006-Enables-auto-detection-for-VIP-interfaces.patch
Patch0007: 0007-Make-the-openvswitch-2.4-2.5-upgrade-more-robust.patch
Patch0008: 0008-Setting-networking-odl-v2-as-a-mechanism-driver.patch
Patch0009: 0009-Adds-missing-firewall-rules-for-OpenDaylight-API-ser.patch
Patch0010: 0010-Adds-missing-OpenDaylight-username-password-from-ODL.patch
Patch0011: 0011-Adding-the-ip_conntrack_proto_sctp-kernel-module.patch
Patch0012: 0012-Temporary-UCSM-mapping-files-should-be-opened-with-w.patch
Patch0013: 0013-Adds-default-Keystone-region-to-regionOne.patch
Patch0014: 0014-Fix-for-AllNodesExtraConfig-and-fix-environment-file.patch
Patch0015: 0015-Disable-exit-on-error-for-pacemaker-commands-for-upd.patch
Patch0016: 0016-Fix-bug-when-using-multiple-DeployArtifactURLs.patch
Patch0017: 0017-Use-df-instead-of-findmnt-in-cephstorage-upgrade-scr.patch
Patch0018: 0018-scenario001-pingtest-remove-gnocchi_res_alarm.patch
Patch0019: 0019-DB-connection-prevent-src-address-from-binding-to-a-.patch
Patch0020: 0020-newton-Import-multinode-pingtest-from-tripleo-ci.patch
Patch0021: 0021-ceph-rgw-add-missing-user-parameter.patch
Patch0022: 0022-Allow-to-separate-Horizon-from-Neutron.patch
Patch0023: 0023-Allow-the-override-of-pacemaker-corosync-settle_trie.patch
Patch0024: 0024-newton-scenario001-enable-ceph.patch
Patch0025: 0025-Remove-Gemfile-and-Rakefile.patch
Patch0026: 0026-net-config-multinode-make-controlplane-int-idempoten.patch
Patch0027: 0027-Add-new-environment-for-debug.patch
Patch0028: 0028-Run-online_data_migrations-during-minor-updates.patch
Patch0029: 0029-Add-missing-TripleO-services-to-ci-multinode.patch
Patch0030: 0030-backport-multinode_major_upgrade.yaml-environment.patch
Patch0031: 0031-Synchronize-NetworkDeployment-inputs-for-generic-rol.patch
Patch0032: 0032-multinode-upgrade-add-nova-services-to-environment.patch
Patch0033: 0033-Update-ci-environment-for-multinode-jobs-to-support-.patch
Patch0034: 0034-multinode_major_upgrade-enable-Pacemaker.patch
Patch0035: 0035-Deploy-CI-scenarios-with-Pacemaker.patch
Patch0036: 0036-scenario001-newton-deploy-cinder-with-rbd-backend.patch

BuildArch:     noarch
BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-d2to1
BuildRequires: python-pbr

Requires:      PyYAML
Requires:      openstack-%{upstream_name}

%description
OpenStack TripleO Heat Templates is a collection of templates and tools for
building Heat Templates to do deployments of OpenStack.  These templates provide support for the clouds running the previous upstream version of OpenStack.

%prep
%setup -q -n tripleo-heat-templates-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1
%patch0036 -p1

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}
install -d -m 755 %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar *.yaml %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar puppet %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar docker %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar firstboot %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar extraconfig %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar environments %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar network %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
cp -ar validation-scripts %{buildroot}/%{_datadir}/openstack-%{upstream_name}/compat
if [ -d examples ]; then
  rm -rf examples
fi

if [ -d %{buildroot}/%{python2_sitelib}/tripleo_heat_merge ]; then
  rm -rf %{buildroot}/%{python2_sitelib}/tripleo_heat_merge
  rm -f %{buildroot}/%{_bindir}/tripleo-heat-merge
fi

ln -s compat %{buildroot}/%{_datadir}/openstack-%{upstream_name}/%{old_version_name}

%files
%doc README*
%license LICENSE
%{python2_sitelib}/tripleo_heat_templates-*.egg-info
%{_datadir}/openstack-%{upstream_name}/compat
%{_datadir}/openstack-%{upstream_name}/%{old_version_name}

%changelog
* Fri Mar 17 2017 Mike Burns <mburns@redhat.com> 5.2.0-7
- scenario001/newton: deploy cinder with rbd backend
- Deploy CI scenarios with Pacemaker
- multinode_major_upgrade: enable Pacemaker
- Update ci environment for multinode jobs to support Ceph
- multinode/upgrade: add nova services to environment
- Synchronize NetworkDeployment inputs for generic roles
- backport multinode_major_upgrade.yaml environment
- Add missing TripleO services to ci/multinode
- Run online_data_migrations during minor updates.
- Add new environment for debug
- net-config-multinode: make controlplane int idempotent
- Remove Gemfile and Rakefile
- newton/scenario001: enable ceph
- Allow the override of pacemaker::corosync::settle_tries
- Allow to separate Horizon from Neutron
- ceph-rgw: add missing user parameter
- (newton) Import multinode + pingtest from tripleo-ci
- DB connection: prevent src address from binding to a VIP
- scenario001/pingtest: remove gnocchi_res_alarm
- Use df instead of findmnt in cephstorage upgrade scripts
- Fix bug when using multiple DeployArtifactURLs
- Disable exit on error for pacemaker commands for update flow
- Fix for AllNodesExtraConfig and fix environment files to create swap files/partitions (rhbz#1415103)
- Adds default Keystone region to regionOne
- Temporary UCSM mapping files should be opened with write mode (rhbz#1427712)
- Adding the ip_conntrack_proto_sctp kernel module (rhbz#1426912)
- Adds missing OpenDaylight username/password from ODL OVS service
- Adds missing firewall rules for OpenDaylight API service
- Setting networking-odl v2 as a mechanism driver
- Make the openvswitch 2.4->2.5 upgrade more robust
- Enables auto-detection for VIP interfaces
- [downstream-only] configure Horizon to point on OSP doc
- [downstream only] Retain existing ComputeHostnameFormat in OSP10
- [downstream only] UpgradeInitCommand update to switch Ceph repos (rhbz#1381241)
- [downstream only] UpgradeInitCommand for OSP (rhbz#1361177)
- [OSP Only] Add the puppet-pacemaker templates to the default OC deployment in THT (rhbz#1348188)

